# sf::Packet Class Reference

Packet wraps data to send / to receive through the network. More...

`#include <Packet.hpp>`

List of all members.

## Public Member Functions

| Packet ()
| Default constructor.
virtual | ~Packet ()
| Virtual destructor.
void | Append (const void *Data, std::size_t SizeInBytes)
| Append data to the end of the packet.
void | Clear ()
| Clear the packet data.
const char * | GetData () const
| Get a pointer to the data contained in the packet Warning : the returned pointer may be invalid after you append data to the packet.
std::size_t | GetDataSize () const
| Get the size of the data contained in the packet.
bool | EndOfPacket () const
| Tell if the reading position has reached the end of the packet.
| operator bool () const
| Return the validity of packet.
Packet & | operator>> (bool &Data)
| Operator >> overloads to extract data from the packet.
Packet & | operator>> (Int8 &Data)
Packet & | operator>> (Uint8 &Data)
Packet & | operator>> (Int16 &Data)
Packet & | operator>> (Uint16 &Data)
Packet & | operator>> (Int32 &Data)
Packet & | operator>> (Uint32 &Data)
Packet & | operator>> (float &Data)
Packet & | operator>> (double &Data)
Packet & | operator>> (char *Data)
Packet & | operator>> (std::string &Data)
Packet & | operator>> (wchar_t *Data)
Packet & | operator>> (std::wstring &Data)
Packet & | operator<< (bool Data)
| Operator << overloads to put data into the packet.
Packet & | operator<< (Int8 Data)
Packet & | operator<< (Uint8 Data)
Packet & | operator<< (Int16 Data)
Packet & | operator<< (Uint16 Data)
Packet & | operator<< (Int32 Data)
Packet & | operator<< (Uint32 Data)
Packet & | operator<< (float Data)
Packet & | operator<< (double Data)
Packet & | operator<< (const char *Data)
Packet & | operator<< (const std::string &Data)
Packet & | operator<< (const wchar_t *Data)
Packet & | operator<< (const std::wstring &Data)

## Friends

class | SocketTCP
class | SocketUDP

## Detailed Description

Packet wraps data to send / to receive through the network.

Definition at line 41 of file Packet.hpp.

## Constructor & Destructor Documentation

sf::Packet::Packet | ( |  | ) |

Default constructor.

Definition at line 38 of file Packet.cpp.

sf::Packet::~Packet | ( |  | ) | `[virtual]`

Virtual destructor.

Definition at line 49 of file Packet.cpp.

## Member Function Documentation

void sf::Packet::Append | ( | const void * | Data,
|  | std::size_t | SizeInBytes |
| ) |  |  |

Append data to the end of the packet.

Parameters:

  | Data | : Pointer to the bytes to append
  | SizeInBytes | : Number of bytes to append

Definition at line 58 of file Packet.cpp.

void sf::Packet::Clear | ( |  | ) |

Clear the packet data.

Definition at line 72 of file Packet.cpp.

bool sf::Packet::EndOfPacket | ( |  | ) | const

Tell if the reading position has reached the end of the packet.

Returns:
  True if all data have been read into the packet

Definition at line 103 of file Packet.cpp.

const char * sf::Packet::GetData | ( |  | ) | const

Get a pointer to the data contained in the packet Warning : the returned pointer may be invalid after you append data to the packet.

Get a pointer to the data contained in the packet Warning : the returned pointer may be invalid after you append data to the packet.

Returns:
  Pointer to the data

Definition at line 85 of file Packet.cpp.

std::size_t sf::Packet::GetDataSize | ( |  | ) | const

Get the size of the data contained in the packet.

Returns:
  Data size, in bytes

Definition at line 94 of file Packet.cpp.

sf::Packet::operator bool | ( |  | ) | const

Return the validity of packet.

Tell if the packet is valid for reading.

Returns:
  True if last data extraction from packet was successful

Definition at line 112 of file Packet.cpp.

Packet & sf::Packet::operator<< | ( | bool | Data | ) |

Operator << overloads to put data into the packet.

Definition at line 290 of file Packet.cpp.

Packet & sf::Packet::operator>> | ( | bool & | Data | ) |

Operator >> overloads to extract data from the packet.

Definition at line 121 of file Packet.cpp.

The documentation for this class was generated from the following files:

- Packet.hpp
- Packet.cpp